local theme = AccurateWorldMap
local prefix = theme.prefix
local maps = theme.maps
local tamriel = maps[27]
local subfolder = "/blobs/chapters/"

-- Vvardenfell --
tamriel.zones[1060] = {
   textureFile = prefix..subfolder.."blob-vvardenfell.dds",
   bounds = { xN = 0.651367, yN = 0.23547, widthN = 0.20092, heightN = 0.20092, },
   hitbox = {
      { xN = 0.3814, yN = 0.0253, },
      { xN = 0.3650, yN = 0.0363, },
      { xN = 0.3191, yN = 0.1019, },
      { xN = 0.2742, yN = 0.1632, },
      { xN = 0.1976, yN = 0.2004, },
      { xN = 0.1243, yN = 0.2606, },
      { xN = 0.0784, yN = 0.2671, },
      { xN = 0.0729, yN = 0.2814, },
      { xN = 0.1495, yN = 0.4028, },
      { xN = 0.1757, yN = 0.4542, },
      { xN = 0.2239, yN = 0.6271, },
      { xN = 0.2797, yN = 0.7639, },
      { xN = 0.3147, yN = 0.8175, },
      { xN = 0.4394, yN = 0.9192, },
      { xN = 0.4744, yN = 0.9444, },
      { xN = 0.5718, yN = 0.9389, },
      { xN = 0.7764, yN = 0.9400, },
      { xN = 0.7972, yN = 0.9247, },
      { xN = 0.9088, yN = 0.7978, },
      { xN = 0.9307, yN = 0.5067, },
      { xN = 0.9230, yN = 0.4750, },
      { xN = 0.8355, yN = 0.3908, },
      { xN = 0.7939, yN = 0.3503, },
      { xN = 0.7808, yN = 0.2518, },
      { xN = 0.7753, yN = 0.2354, },
      { xN = 0.7151, yN = 0.1238, },
      { xN = 0.5740, yN = 0.0275, },
      { xN = 0.3858, yN = 0.0221, },
      { xN = 0.3650, yN = 0.0374, },   
   }
}

-- Summerset Isle --
tamriel.zones[1349] = {
   textureFile = prefix..subfolder.."blob-summersetisle.dds",
   bounds = { xN = 0.0646972, yN = 0.571166, widthN = 0.2668457, heightN = 0.2668457, },
   hitbox = {
      { xN = 0.4343, yN = 0.0875, },
      { xN = 0.3197, yN = 0.1369, },
      { xN = 0.2555, yN = 0.2473, },
      { xN = 0.2011, yN = 0.2523, },
      { xN = 0.1097, yN = 0.3915, },
      { xN = 0.1056, yN = 0.4006, },
      { xN = 0.1805, yN = 0.4673, },
      { xN = 0.2522, yN = 0.4689, },
      { xN = 0.3090, yN = 0.4063, },
      { xN = 0.3403, yN = 0.4483, },
      { xN = 0.3247, yN = 0.4632, },
      { xN = 0.2654, yN = 0.5093, },
      { xN = 0.2168, yN = 0.5571, },
      { xN = 0.2217, yN = 0.5801, },
      { xN = 0.2003, yN = 0.6246, },
      { xN = 0.1764, yN = 0.6526, },
      { xN = 0.1772, yN = 0.7391, },
      { xN = 0.1888, yN = 0.7844, },
      { xN = 0.2209, yN = 0.8083, },
      { xN = 0.3148, yN = 0.7663, },
      { xN = 0.3585, yN = 0.7746, },
      { xN = 0.4194, yN = 0.7515, },
      { xN = 0.4927, yN = 0.7812, },
      { xN = 0.5792, yN = 0.8009, },
      { xN = 0.7135, yN = 0.8050, },
      { xN = 0.7629, yN = 0.7095, },
      { xN = 0.7984, yN = 0.6032, },
      { xN = 0.7399, yN = 0.5834, },
      { xN = 0.7012, yN = 0.5431, },
      { xN = 0.6699, yN = 0.4862, },
      { xN = 0.6287, yN = 0.4187, },
      { xN = 0.5998, yN = 0.4030, },
      { xN = 0.6410, yN = 0.3660, },
      { xN = 0.6682, yN = 0.3099, },
      { xN = 0.6740, yN = 0.2663, },
      { xN = 0.6493, yN = 0.2449, },
      { xN = 0.6114, yN = 0.2333, },
      { xN = 0.5471, yN = 0.2103, },
      { xN = 0.5455, yN = 0.1707, },
      { xN = 0.5117, yN = 0.1378, },
      { xN = 0.4890, yN = 0.1163, },
      { xN = 0.4887, yN = 0.0804, },   
   }
}


-- Northern Elsweyr --
tamriel.zones[1555] = {
   textureFile = prefix..subfolder.."blob-northernelsweyr.dds",
   bounds = { xN = 0.477416, yN = 0.58776, widthN = 0.132812, heightN = 0.132812, },
   offsets = { xN = -0.003, yN = -0.0067, widthN = 0.01, heightN = 0.01 },
   --offsets = { xN = 0.006591 },
   hitbox = {
      { xN = 0.3986, yN = 0.0969, },
      { xN = 0.2857, yN = 0.1560, },
      { xN = 0.2004, yN = 0.3201, },
      { xN = 0.0822, yN = 0.4881, },
      { xN = 0.0153, yN = 0.5196, },
      { xN = 0.0113, yN = 0.5708, },
      { xN = 0.0310, yN = 0.6338, },
      { xN = 0.0756, yN = 0.6627, },
      { xN = 0.1203, yN = 0.7953, },
      { xN = 0.1387, yN = 0.8097, },
      { xN = 0.2935, yN = 0.8478, },
      { xN = 0.3592, yN = 0.8110, },
      { xN = 0.4668, yN = 0.7992, },
      { xN = 0.5325, yN = 0.7467, },
      { xN = 0.6480, yN = 0.7585, },
      { xN = 0.7490, yN = 0.6640, },
      { xN = 0.8908, yN = 0.6259, },
      { xN = 0.9079, yN = 0.5721, },
      { xN = 0.8974, yN = 0.5406, },
      { xN = 0.9118, yN = 0.4697, },
      { xN = 0.8947, yN = 0.4001, },
      { xN = 0.9473, yN = 0.3332, },
      { xN = 0.9617, yN = 0.2767, },
      { xN = 0.9774, yN = 0.2282, },
      { xN = 0.9761, yN = 0.1967, },
      { xN = 0.8895, yN = 0.1087, },
      { xN = 0.7333, yN = 0.1166, },
      { xN = 0.5784, yN = 0.0917, },
      { xN = 0.5416, yN = 0.0641, },
      { xN = 0.5115, yN = 0.0628, },
      { xN = 0.4432, yN = 0.1022, },
      { xN = 0.4156, yN = 0.0969, },   
   }
}

-- Western Skyrim --
tamriel.zones[1719] = {
   textureFile = prefix..subfolder.."blob-westernskyrim.dds",
   bounds = { xN = 0.3695, yN = 0.17224, widthN = 0.155639, heightN = 0.155639, },
   hitbox = {
      { xN = 0.0723, yN = 0.2347, },
      { xN = 0.0879, yN = 0.3982, },
      { xN = 0.1271, yN = 0.4464, },
      { xN = 0.1249, yN = 0.4934, },
      { xN = 0.1395, yN = 0.5326, },
      { xN = 0.1047, yN = 0.5819, },
      { xN = 0.1283, yN = 0.5954, },
      { xN = 0.1708, yN = 0.5943, },
      { xN = 0.2291, yN = 0.6144, },
      { xN = 0.2392, yN = 0.6570, },
      { xN = 0.2907, yN = 0.7040, },
      { xN = 0.2907, yN = 0.7376, },
      { xN = 0.3377, yN = 0.7892, },
      { xN = 0.3937, yN = 0.7578, },
      { xN = 0.4834, yN = 0.7858, },
      { xN = 0.5158, yN = 0.7544, },
      { xN = 0.6648, yN = 0.7063, },
      { xN = 0.7578, yN = 0.7455, },
      { xN = 0.8060, yN = 0.7421, },
      { xN = 0.8183, yN = 0.7197, },
      { xN = 0.8004, yN = 0.6626, },
      { xN = 0.8373, yN = 0.6088, },
      { xN = 0.8463, yN = 0.5584, },
      { xN = 0.8261, yN = 0.5136, },
      { xN = 0.8407, yN = 0.4464, },
      { xN = 0.8295, yN = 0.4162, },
      { xN = 0.7903, yN = 0.3893, },
      { xN = 0.7925, yN = 0.3501, },
      { xN = 0.7723, yN = 0.3344, },
      { xN = 0.7813, yN = 0.3041, },
      { xN = 0.6133, yN = 0.2067, },
      { xN = 0.5046, yN = 0.1148, },
      { xN = 0.4475, yN = 0.1160, },
      { xN = 0.3568, yN = 0.1272, },
      { xN = 0.2828, yN = 0.1507, },
      { xN = 0.1742, yN = 0.1988, },
      { xN = 0.1204, yN = 0.2056, },
      { xN = 0.0846, yN = 0.2246, },   
   }
}

-- Blackwood --
tamriel.zones[1887] = {
   textureFile = prefix..subfolder.."blob-blackwood.dds",
   bounds = { xN = 0.5801, yN = 0.58557, widthN = 0.15954, heightN = 0.15954 },
   hitbox = {
      { xN = 0.1072, yN = 0.0316, },
      { xN = 0.0951, yN = 0.1049, },
      { xN = 0.1684, yN = 0.1792, },
      { xN = 0.1684, yN = 0.2032, },
      { xN = 0.1585, yN = 0.2185, },
      { xN = 0.1563, yN = 0.2414, },
      { xN = 0.1454, yN = 0.2535, },
      { xN = 0.1421, yN = 0.2852, },
      { xN = 0.1094, yN = 0.3212, },
      { xN = 0.0995, yN = 0.3518, },
      { xN = 0.1170, yN = 0.4097, },
      { xN = 0.1061, yN = 0.4327, },
      { xN = 0.1028, yN = 0.4655, },
      { xN = 0.1104, yN = 0.4884, },
      { xN = 0.0962, yN = 0.5354, },
      { xN = 0.1126, yN = 0.5955, },
      { xN = 0.1104, yN = 0.6130, },
      { xN = 0.1170, yN = 0.6283, },
      { xN = 0.1400, yN = 0.6403, },
      { xN = 0.1476, yN = 0.6501, },
      { xN = 0.1640, yN = 0.6807, },
      { xN = 0.1695, yN = 0.6873, },
      { xN = 0.3509, yN = 0.7408, },
      { xN = 0.3541, yN = 0.7703, },
      { xN = 0.4011, yN = 0.7769, },
      { xN = 0.4273, yN = 0.7332, },
      { xN = 0.4656, yN = 0.7310, },
      { xN = 0.4885, yN = 0.7780, },
      { xN = 0.5552, yN = 0.8621, },
      { xN = 0.5432, yN = 0.8927, },
      { xN = 0.5486, yN = 0.9288, },
      { xN = 0.6142, yN = 0.9430, },
      { xN = 0.6306, yN = 0.9375, },
      { xN = 0.6732, yN = 0.9648, },
      { xN = 0.6983, yN = 0.9583, },
      { xN = 0.7781, yN = 0.9954, },
      { xN = 0.8120, yN = 0.9474, },
      { xN = 0.8470, yN = 0.9408, },
      { xN = 0.8535, yN = 0.9222, },
      { xN = 0.8677, yN = 0.9157, },
      { xN = 0.8557, yN = 0.8436, },
      { xN = 0.8863, yN = 0.8053, },
      { xN = 0.8808, yN = 0.7583, },
      { xN = 0.8918, yN = 0.7343, },
      { xN = 0.8983, yN = 0.6928, },
      { xN = 0.8874, yN = 0.6654, },
      { xN = 0.8939, yN = 0.6370, },
      { xN = 0.8776, yN = 0.6217, },
      { xN = 0.8601, yN = 0.5944, },
      { xN = 0.8634, yN = 0.5649, },
      { xN = 0.8459, yN = 0.5540, },
      { xN = 0.8317, yN = 0.5026, },
      { xN = 0.8338, yN = 0.4895, },
      { xN = 0.8404, yN = 0.4174, },
      { xN = 0.8317, yN = 0.3955, },
      { xN = 0.8218, yN = 0.2906, },
      { xN = 0.8153, yN = 0.2491, },
      { xN = 0.8328, yN = 0.1682, },
      { xN = 0.7956, yN = 0.1387, },
      { xN = 0.7475, yN = 0.1212, },
      { xN = 0.7005, yN = 0.1158, },
      { xN = 0.6940, yN = 0.0961, },
      { xN = 0.6022, yN = 0.0677, },
      { xN = 0.4700, yN = 0.0721, },
      { xN = 0.4011, yN = 0.0032, },
      { xN = 0.3825, yN = 0.0021, },
      { xN = 0.3760, yN = 0.0284, },
      { xN = 0.3454, yN = 0.0382, },
      { xN = 0.2055, yN = 0.0393, },
      { xN = 0.1137, yN = 0.0305, },   
   }
}

-- High Isle and Amenos --
tamriel.zones[2114] = {
   textureFile = prefix..subfolder.."blob-highisle.dds",
   bounds = { xN = 0.04907, yN = 0.5686, widthN = 0.0325, heightN = 0.03295, },
   hitbox = {
      { xN = 0.1299, yN = 0.9618, },
      { xN = 0.8673, yN = 0.9383, },
      { xN = 0.9189, yN = 0.9011, },
      { xN = 0.9706, yN = 0.4169, },
      { xN = 0.9607, yN = 0.3561, },
      { xN = 0.8832, yN = 0.2189, },
      { xN = 0.7798, yN = 0.1072, },
      { xN = 0.6725, yN = 0.0934, },
      { xN = 0.4996, yN = 0.0562, },
      { xN = 0.4499, yN = 0.0542, },
      { xN = 0.4161, yN = 0.0895, },
      { xN = 0.1816, yN = 0.3953, },
      { xN = 0.1260, yN = 0.5521, },
      { xN = 0.0902, yN = 0.6874, },
      { xN = 0.0902, yN = 0.7442, },
      { xN = 0.1021, yN = 0.9207, },   
   }
}

-- Telvanni Peninsula --
tamriel.zones[2274] = {
   textureFile = prefix..subfolder.."blob-necrom.dds",
   bounds = { xN = 0.794555, yN = 0.3413, widthN = 0.131958, heightN = 0.17041, },
   --offsets = { xN = 0.8035, yN = 0.3413, widthN = 0.12268, heightN = 0.17041, },
   hitbox = {
      { xN = 0.3877, yN = 0.1855, },
      { xN = 0.3590, yN = 0.2085, },
      { xN = 0.3143, yN = 0.2604, },
      { xN = 0.3218, yN = 0.3345, },
      { xN = 0.3005, yN = 0.3757, },
      { xN = 0.2835, yN = 0.3946, },
      { xN = 0.2431, yN = 0.4350, },
      { xN = 0.2154, yN = 0.4474, },
      { xN = 0.2037, yN = 0.4671, },
      { xN = 0.2271, yN = 0.5281, },
      { xN = 0.2665, yN = 0.5478, },
      { xN = 0.2803, yN = 0.5915, },
      { xN = 0.2665, yN = 0.6046, },
      { xN = 0.2580, yN = 0.6335, },
      { xN = 0.2452, yN = 0.6368, },
      { xN = 0.2346, yN = 0.6582, },
      { xN = 0.2101, yN = 0.6705, },
      { xN = 0.1644, yN = 0.6697, },
      { xN = 0.1335, yN = 0.6565, },
      { xN = 0.1218, yN = 0.6697, },
      { xN = 0.0432, yN = 0.6985, },
      { xN = 0.0017, yN = 0.7413, },
      { xN = 0.0027, yN = 0.7529, },
      { xN = 0.0198, yN = 0.7718, },
      { xN = 0.0059, yN = 0.7891, },
      { xN = 0.0006, yN = 0.7907, },
      { xN = 0.0240, yN = 0.7916, },
      { xN = 0.0634, yN = 0.7792, },
      { xN = 0.0804, yN = 0.7825, },
      { xN = 0.1240, yN = 0.7957, },
      { xN = 0.1527, yN = 0.8270, },
      { xN = 0.1963, yN = 0.8278, },
      { xN = 0.2846, yN = 0.7982, },
      { xN = 0.4217, yN = 0.8262, },
      { xN = 0.4505, yN = 0.8467, },
      { xN = 0.4781, yN = 0.9110, },
      { xN = 0.4728, yN = 0.9472, },
      { xN = 0.5387, yN = 0.9324, },
      { xN = 0.6695, yN = 0.8550, },
      { xN = 0.7036, yN = 0.7208, },
      { xN = 0.6982, yN = 0.6170, },
      { xN = 0.7365, yN = 0.6063, },
      { xN = 0.8705, yN = 0.5108, },
      { xN = 0.9152, yN = 0.4334, },
      { xN = 0.9120, yN = 0.4185, },
      { xN = 0.9407, yN = 0.3757, },
      { xN = 0.9960, yN = 0.3510, },
      { xN = 0.9737, yN = 0.2843, },
      { xN = 0.9386, yN = 0.2003, },
      { xN = 0.8216, yN = 0.1278, },
      { xN = 0.8131, yN = 0.1171, },
      { xN = 0.7897, yN = 0.1212, },
      { xN = 0.7067, yN = 0.1674, },
      { xN = 0.6748, yN = 0.2324, },
      { xN = 0.6663, yN = 0.2423, },
      { xN = 0.6621, yN = 0.2637, },
      { xN = 0.6323, yN = 0.2843, },
      { xN = 0.5940, yN = 0.2851, },
      { xN = 0.5706, yN = 0.2942, },
      { xN = 0.5079, yN = 0.2827, },
      { xN = 0.4685, yN = 0.2382, },
      { xN = 0.4494, yN = 0.2308, },
      { xN = 0.4313, yN = 0.2011, },
      { xN = 0.3920, yN = 0.1847, },   
   }
}


-- West Weald --
tamriel.zones[2427] = {
   name = "West Weald",
   textureFile = prefix..subfolder.."blob-westweald.dds",
   bounds = { xN = 0.3242, yN = 0.395, widthN = 0.2118, heightN = 0.2118, },
   offsets = { xN = 0.02, yN = 0.00, widthN = -0.05, heightN = 0.001 },
   --offsets = { xN = 0.019, yN = 0.001, widthN = -0.09, heightN = 0.000 },
   --offsets = { xN = 0.015, yN = 0.01, widthN = -0.045, },
   hitbox = {
      { xN = 0.1379, yN = 0.6283, },
      { xN = 0.1593, yN = 0.6608, },
      { xN = 0.1602, yN = 0.6924, },
      { xN = 0.1704, yN = 0.7222, },
      { xN = 0.1918, yN = 0.7268, },
      { xN = 0.2225, yN = 0.7203, },
      { xN = 0.2634, yN = 0.7250, },
      { xN = 0.3331, yN = 0.6934, },
      { xN = 0.3817, yN = 0.6894, },
      { xN = 0.3915, yN = 0.6988, },
      { xN = 0.3946, yN = 0.7206, },
      { xN = 0.4280, yN = 0.7437, },
      { xN = 0.4359, yN = 0.7592, },
      { xN = 0.4289, yN = 0.7988, },
      { xN = 0.4316, yN = 0.8185, },
      { xN = 0.4618, yN = 0.8663, },
      { xN = 0.5187, yN = 0.8270, },
      { xN = 0.5750, yN = 0.8248, },
      { xN = 0.5951, yN = 0.8052, },
      { xN = 0.6265, yN = 0.7845, },
      { xN = 0.6875, yN = 0.7802, },
      { xN = 0.7240, yN = 0.7817, },
      { xN = 0.7509, yN = 0.7901, },
      { xN = 0.7831, yN = 0.7755, },
      { xN = 0.8366, yN = 0.7802, },
      { xN = 0.8744, yN = 0.7735, },
      { xN = 0.8860, yN = 0.7677, },
      { xN = 0.8469, yN = 0.7126, },
      { xN = 0.7904, yN = 0.6130, },
      { xN = 0.7957, yN = 0.5916, },
      { xN = 0.7686, yN = 0.5111, },
      { xN = 0.7401, yN = 0.4755, },
      { xN = 0.7311, yN = 0.4310, },
      { xN = 0.6911, yN = 0.4162, },
      { xN = 0.6644, yN = 0.3824, },
      { xN = 0.6622, yN = 0.3508, },
      { xN = 0.6386, yN = 0.3108, },
      { xN = 0.6071, yN = 0.2654, },
      { xN = 0.6186, yN = 0.2521, },
      { xN = 0.6225, yN = 0.2338, },
      { xN = 0.6180, yN = 0.2173, },
      { xN = 0.6999, yN = 0.0896, },
      { xN = 0.6318, yN = 0.0701, },
      { xN = 0.5593, yN = 0.1644, },
      { xN = 0.5402, yN = 0.2658, },
      { xN = 0.5268, yN = 0.2738, },
      { xN = 0.4672, yN = 0.3774, },
      { xN = 0.4527, yN = 0.3846, },
      { xN = 0.4296, yN = 0.4269, },
      { xN = 0.4057, yN = 0.4448, },
      { xN = 0.3671, yN = 0.5027, },
      { xN = 0.3510, yN = 0.5116, },
      { xN = 0.3155, yN = 0.5142, },
      { xN = 0.2781, yN = 0.5178, },
      { xN = 0.2305, yN = 0.5298, },
      { xN = 0.2052, yN = 0.5547, },
      { xN = 0.1940, yN = 0.5774, },
      { xN = 0.1391, yN = 0.6210, },
   }
}
